<?php
require_once("../config.php");
ob_start();
$cs = new CS;
$curl = new curl;
session_write_close();
ob_end_clean();
ignore_user_abort(TRUE);
ob_implicit_flush(TRUE);
set_time_limit(1200);

ini_set('display_errors', 1);
date_default_timezone_set('America/Fortaleza');

$gerenciadorPrincipal = $cs->fetchQuery($cs->executeQuery("SELECT * FROM `gerenciadores` WHERE id != 1 AND gerenciador_responsavel IS NULL"));

echo "<strong>GERENCIADORES</strong>";
echo "<br>";

// $horaFixa = strtotime('23:30'); // Horario agendado para o envio
// $horaFixa = strtotime('15:20'); 
// $horaAtual = strtotime(date("H:i")); // Horario atual

/*
* Se o horario fixo for igual ao atual eu entro no IF
*/
// if ($horaFixa == $horaAtual) {
 
$i = 1; 

if($i == 1) {

	$lista = array();

    $gerenciadores_filhos = array();

	foreach ($gerenciadorPrincipal as $key => $value) {
	   
	    $nomerevenda = $value['login'];



	    $vencAntes = date('d/m/y', strtotime('- 1 days', strtotime($value['vencimento'])));
	    
		$ids = $value['id'];
	    
	    echo "<hr>";

		echo "<p><strong>Gerenciador Principal: </strong></p>". $value['login'];

		$geAtivos = intval($cs->num_rows($cs->executeQuery("SELECT * FROM `usuarios` WHERE status = 'normal' AND id_gerenciador = '".$value['id']."' AND vencimento>='".date('Y-m-d')."'")));

		$subGeren = $cs->fetchQuery($cs->executeQuery("SELECT id FROM `usuarios` WHERE status = 'normal' AND id_gerenciador = '".$value['id']."' AND vencimento>='".date('Y-m-d')."'"));

		

		$users_ativos_vencimento = $cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE status='normal' AND vencimento>= NOW() AND id_gerenciador = '".$value['id']."'"));
      
		echo "<p><strong>Gerenciadores ativos:</strong> $geAtivos </p><br>";
		
		
		echo '<hr>';
		$t = 0;
	    $a = 0;
	    $gerenciadores_filhos = $cs->fetchQuery($cs->executeQuery("SELECT id, login, criar_gerenciador FROM `gerenciadores` WHERE gerenciador_responsavel = $ids "));

	foreach ($gerenciadores_filhos as $key => $filhos):

        

	    $total_cadastrados = $cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE id_gerenciador='".$filhos['id']."' AND status='normal' AND vencimento>='".date('Y-m-d')."'"));
	    $t += $total_cadastrados;

	    
	    ?>
	    <strong>Gerenciador:</strong> <?php echo $filhos['login'];?><br/><br/>
	   
	    <strong>Total de Usuários Ativos: xxx</strong> <?php echo $total_cadastrados;?><br/>
	   
	    <?php echo "<br/>";
	    
	    if($filhos['criar_gerenciador'] == '1') {
	        $total_g_filho = $cs->fetchQuery($cs->executeQuery("SELECT * from gerenciadores where gerenciador_responsavel = '{$filhos['id']}'"));
	        
	        $total_g_ativos = $cs->num_rows($cs->executeQuery("SELECT * from gerenciadores where gerenciador_responsavel = '{$filhos['id']}' AND status='normal' AND vencimento>='".date('Y-m-d')."'"));
	    
	    ?>
	  
	    <?php
	    
	    foreach($total_g_filho as $filho_filho){
	        
	        echo "<strong>Gerenciador:</strong> ".$filho_filho['login']."<br/>";
	        echo "<strong>Gerenciador Responsável:</strong> ".$filhos['login']."<br/><br/>";
	        
	        $total_cadastrados=$cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE id_gerenciador='".$filho_filho['id']."'"));
	        $total_cadastrados_venc=$cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE id_gerenciador='".$filho_filho['id']."' AND status='normal' AND vencimento<'".date('Y-m-d')."'"));
	        
	        $total_cadastrados_ativos = $cs->num_rows($cs->executeQuery("SELECT * from usuarios WHERE id_gerenciador='".$filho_filho['id']."' AND status='normal' AND vencimento>='".date('Y-m-d')."'"));

	        $a += intval($total_cadastrados_ativos);
	        
	        $conectados = $cs->num_rows($cs->executeQuery("SELECT * from conectados WHERE (gerenciador='".$filhos['login']."') AND conectado='sim'"));
	    ?>
	        
	        <strong>Total de Usuários Ativos: </strong> <?php echo $total_cadastrados_ativos; ?><br/>
	       
	        <?php
	        if($filho_filho['criar_gerenciador'] == '1') {
	            $total_g_filho = $cs->fetchQuery($cs->executeQuery("SELECT * from gerenciadores where gerenciador_responsavel = '{$filho_filho['id']}'"));
	            
	            $total_g_ativos = $cs->num_rows($cs->executeQuery("SELECT * from gerenciadores where gerenciador_responsavel = '{$filho_filho['id']}' AND status='normal' AND vencimento>='".date('Y-m-d')."'"));

	            
	        ?>
	        <strong>Total de Gerenciadores Ativos: </strong> <?php echo $total_g_ativos;?><br/>
	        <?php 
	        }


	        ?>
	    <?php
	    }
	    
	    
	    }

        
       
	    endforeach;

        $totalListasAtivas = $t + $a + $geAtivos;   
        
        if(count($value['valor_por_lista']) > 0) {
           
            $lista = [
            	'totalListasAtivas' => $totalListasAtivas,
            	'valorPorListaAtiva' => $totalListasAtivas * intval($value['valor_por_lista'])
            ];
	        	      
        }
        

	         
	    echo "R$ ".number_format($lista['valorPorListaAtiva'], 2, ',', '.');

        echo "<hr>"; 
        var_dump($lista);

       

		    //Mensagem enviada ao usuario.   
			$smsTexto = "Ola $nomerevenda seu vencimento é amanha, total de listas ativas $totalListasAtivas, valor a ser pago ".$lista['valorPorListaAtiva'];
			//Recebe dois paramentros, o texto definido e o numero do celular.
			// $cs->QueryString($smsTexto, $value['celular']); //Retorno da mensagem que foi enviada ao usuario 
		    
		
            
		
          
    }


    // $cs->sendEmailUser('aviso_vencimento', 1539511352);
    
    



	

    $i++;
        
}        
   
           

           






    
    //$cs->sendEmailUser('aviso_vencimento', 1539511352);

    // $i++;
	
// } 

echo '<br><br></hr>';



